com.holonplatform.jdbc

## Enum DataSourceType

- java.lang.Object
- - java.lang.Enum<DataSourceType>
  - - com.holonplatform.jdbc.DataSourceType

- All Implemented Interfaces:
    Serializable, Comparable<DataSourceType>

      public enum DataSourceType
      extends Enum<DataSourceType>

  `DataSource` types enumeration.
  Since:
    5.1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASIC` Basic DataSource
    `DBCP` DBCP 2 DataSource
    `HIKARICP` HikariCP DataSource
    `TOMCAT` Tomcat pooling DataSource

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getType()` Get the type name.
    `static DataSourceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DataSourceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BASIC

          public static final DataSourceType BASIC

      Basic DataSource

    - #### HIKARICP

          public static final DataSourceType HIKARICP

      HikariCP DataSource

    - #### DBCP

          public static final DataSourceType DBCP

      DBCP 2 DataSource

    - #### TOMCAT

          public static final DataSourceType TOMCAT

      Tomcat pooling DataSource

  - ### Method Detail

    - #### values

          public static DataSourceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataSourceType c : DataSourceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DataSourceType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getType

          public String getType()

      Get the type name.
      Returns:
        the type name

Copyright © 2019 The Holon Platform. All rights reserved.